

local Button = {}
Button.__index = Button
setmetatable(Button, {__call = function(cls, ...) return cls.new(...) end})



------------------------------------------------------------|
-- Local Functions --
------------------------------------------------------------|



------------------------------------------------------------|
-- Button --
------------------------------------------------------------|
function Button.new(x, y)
	local self = setmetatable({}, Button)
	self:setPosition(x, y)
	return self
end



function Button:setPosition(x, y)
	self.x = x or self.x or 0
	self.y = y or self.y or 0
end



function Button:setDimensions(w, h)
	self.width = w or self.width or 16
	self.height = h or self.height or 16
end



function Button:update(dt)
end



function Button:draw()
end

return Button
