
local ObjectLayer		= {}
ObjectLayer.__index	= ObjectLayer
setmetatable(ObjectLayer, {__call = function(cls, ...) return cls.new(...) end})



------------------------------------------------------------|
-- ObjectLayer Class --
------------------------------------------------------------|
function ObjectLayer.new(name, id, map, data)
	local self = setmetatable({}, ObjectLayer)
	local data			= data or {}
	self.id					= id
	self.type				= "ObjectLayer"
	self.name 			= name or "Default"
	self.color			= data.color or {255, 255, 255}
	self.visible 		= data.visible or true
	self.opacity 		= data.opacity or 255
	self.objects		= {}
	self.map				= map

	return self
end



function ObjectLayer:add(object, x, y)
end



function ObjectLayer:draw(camera)
	 return self.chunks:draw(camera)
end

return ObjectLayer
